package com.yidianling.dynamic.api

import android.app.Activity
import android.content.Intent
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import com.alibaba.android.arouter.facade.template.IProvider
import java.io.File

interface IDynamicService  : IProvider {

    fun membersIntent(activity: Activity, userId: String): Intent

    fun replyInfoIntent(activity: Activity, replyId: String, aid: String): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int, isScrollToZan: Boolean): Intent

    fun trendsDetailIntent(activity: Activity, trendId: Int, isScrollToZan: Boolean, lastId: Int): Intent

    fun startTrendsDetail(activity: Activity, trendId: Int, isSplash: Boolean, isComment: Boolean, isScrollToZan: Boolean, isScrollToComment: Boolean, lastId: Int)

    fun publishTrendIntent(activity: Activity, url: String, cover: String, title: String): Intent

    fun publishTrendIntent(activity: Activity): Intent

    fun publishFmToTrend(activity: Activity, url: String, cover: String, title: String): Intent

    fun topicDetailIntent(context: Activity, isSplash: Boolean, topicId: String): Intent

    fun publishArticleToTrend(activity: Activity, url: String, cover: String, title: String): Intent

    fun getBrosePictureActivityIntent(activity: Activity): Intent

    fun getMyTrendsActivityIntent(activity: Activity): Intent

    fun getTrendsHomeFragment(tabIndex: String): Fragment

    fun getPublicPicBrowType(): Int

    fun imageCompressScal(activity: FragmentActivity, path: String, size: Int): File
}